/* ------------------------------ */
/* ----------- Header ----------- */
/* ------------------------------ */

header {
    position: relative;
    height: 100%;
    min-height: var(--height-header); 
}

.site_header {
    position: absolute;
    z-index: 20;
    top: 0;
    left: 0;
    width: 100%;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}

.site_header__inside {
    z-index: 101;
    width: 100%;
    max-width: var(--width-content);
    margin: 0 auto;
    padding: 0 var(--spacing-7);
}

.site_header__container {
    position: relative;
    text-align: center;
}

.site_header__logo {
    display: inline-block;
    position: absolute;
    left: 50%;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
    z-index: 3;
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}

.menu-open .site_header__logo {
    opacity: 0;
    visibility: hidden;
}

.close-animation .site_header__logo {
    opacity: 1;
    visibility: visible;
    -webkit-transition-delay: .3s;
         -o-transition-delay: .3s;
            transition-delay: .3s;
}
   
.logo a {
    display: inline-block;
}
 
.site_header__nav, .site_header__external_link {
    position: fixed;
    z-index: 3;
}

.windows.desktop .menu-open .site_header__external_link {
    margin-right: 16px;
}

.site_nav__icon {
    cursor: pointer;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2)
}

.site_nav__icon > span {
    font-weight: 400;
    line-height: var(--line-height-1);
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: var(--brand-color-1);
}

.site_nav__icon > span {
    font-size: var(--font-size-3);
}

.site_nav__icon > span {
    margin-left: var(--spacing-2);
}

.site_nav__icon__hamburger {
    position: relative;
    width: 50px;
    height: 50px;
    border: 2px solid var(--brand-color-1);
    border-radius: 100%;
}

.icon__hamburger {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    -webkit-transition: all var(--transition-1) ease-in-out;
    -o-transition: all var(--transition-1) ease-in-out;
    transition: all var(--transition-1) ease-in-out;
}

.icon__hamburger .line {
    width: 24px;
    height: 2px;
    background-color: var(--brand-color-1);
    display: block;
    margin: 6px auto;
    -webkit-transition: all var(--transition-1) ease-in-out;
    -o-transition: all var(--transition-1) ease-in-out;
    transition: all var(--transition-1) ease-in-out;
}

.menu-open .site_nav__icon .line:nth-child(1) {
    -webkit-transform: translateY(4px) rotate(45deg);
    -ms-transform: translateY(4px) rotate(45deg);
    transform: translateY(4px) rotate(45deg);
}

.menu-open .site_nav__icon .line:nth-child(2) {
    -webkit-transform: translateY(-4px) rotate(-45deg);
    -ms-transform: translateY(-4px) rotate(-45deg);
    transform: translateY(-4px) rotate(-45deg);
}

.close-animation .site_nav__icon .line:nth-child(1) {
    -webkit-transform: translateY(0) rotate(0);
    -ms-transform: translateY(0) rotate(0);
    transform: translateY(0) rotate(0);
    -webkit-transition-delay: .3s;
         -o-transition-delay: .3s;
            transition-delay: .3s;
}

.close-animation .site_nav__icon .line:nth-child(2) {
    -webkit-transform: translateY(0) rotate(0);
    -ms-transform: translateY(0) rotate(0);
    transform: translateY(0) rotate(0);
    -webkit-transition-delay: .3s;
         -o-transition-delay: .3s;
            transition-delay: .3s;
}

.no-touchevents body:not(.menu-open) .site_nav__icon:hover .site_nav__icon__hamburger .line:first-child {
    -webkit-transform: translateY(-2px);
        -ms-transform: translateY(-2px);
            transform: translateY(-2px);
}

.no-touchevents body:not(.menu-open) .site_nav__icon:hover .site_nav__icon__hamburger .line:last-child {
    -webkit-transform: translateY(2px);
        -ms-transform: translateY(2px);
            transform: translateY(2px);
}

.no-touchevents body.menu-open .site_nav__icon:hover .icon__hamburger .line {
    width: 28px;
}

.menu-open .site_header__external_link {
    margin-right: var(--scrollbar-width);
}


.site_header__external_link__container  .link_container span {
    right: -28px;
}




/* ------------------------------ */
/* ---- Headerimage / -video ---- */
/* ------------------------------ */

.site_cover {
    position: relative;
    z-index: 1;
}

.site_cover__container {
   position: relative;
   height: 100%;
   width: 100%;
}





/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 1720px) {

    .site_header__nav {
        left: var(--spacing-6);
    }

    .site_header__external_link {
        right: var(--spacing-6);
    }

}

@media all and (max-width: 1719.98px) and (min-width: 1240px) {

    .site_header__nav {
        left: var(--spacing-3);
    }

    .site_header__external_link {
        right: var(--spacing-3);
    }

}

@media all and (min-width: 1240px) {

    .site_cover {
        height: calc(var(--app-height) * 0.75);
        min-height: 525px;
        max-height: 800px;
    }

}

@media all and (min-width: 1400px) {

    .site_header__nav, .site_header__external_link {
        top: calc(var(--spacing-6) - 10px);
    }

    .site_header__logo {
        top: var(--spacing-5);
    }

}


@media all and (max-width: 1399.98px) and (min-width: 992px) {

    .site_header__nav, .site_header__external_link {
        top: calc(var(--spacing-5) - 10px);
    }

    .site_header__logo {
        top: var(--spacing-4);
    }

}


@media all and (max-width: 1399.98px) and (min-width: 1240px) {

    .logo img {
        max-width: 110px;
    }

}

@media all and (max-width: 1239.98px) and (min-width: 992px) {

    .site_header__nav {
        left: var(--spacing-3-5);
    }

    .site_header__external_link {
        right: var(--spacing-3-5);
    }

    .logo img {
        max-width: 100px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 768px) {

    .site_cover {
        height: calc(var(--app-height) * 0.65);
        min-height: 450px;
        max-height: 725px;
    }

}


@media all and (max-width: 991.98px) {

    .site_header__nav {
        display: -ms-flexbox;
        display: -webkit-box;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 1 auto;
        flex: 0 1 auto;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        width: 100%;
        left: 0;
        top: 0;
        padding: var(--spacing-1) var(--spacing-3-5);
        -webkit-transition: var(--transition-2);
        -o-transition: var(--transition-2);
        transition: var(--transition-2);
    }

    .page-scrolled .site_header__nav {
        background-color: var(--brand-light);
    }

    .page-scrolled:not(.menu-open) .site_header__nav, .page-scrolled.close-animation .site_header__nav {
        -webkit-box-shadow: 0px 4px 14px rgb(0 54 47 / 10%);
                box-shadow: 0px 4px 14px rgb(0 54 47 / 10%);
    }

    .site_nav__illustration, .close-animation .site_nav__illustration {
        opacity: 0;
        visibility: hidden;
        -webkit-transition: var(--transition-2);
        -o-transition: var(--transition-2);
        transition: var(--transition-2);
    }

    .menu-open:not(.close-animation) .site_nav__illustration, .page-scrolled .site_nav__illustration {
        opacity: 1;
        visibility: visible;
    }

    .site_header__logo {
        top: var(--spacing-9);
    }

    .logo img {
        max-width: 92px;
    }

}


@media all and (max-width: 767.98px) {

    .site_header__logo {
        top: var(--spacing-11);
    }

    .site_cover .picture_container--cover, .site_cover .picture_container--cover picture {
        position: relative;
    }

}